<?php
$tpinfo['dir']=get_bloginfo('template_directory');
$tpinfo['bg_header']=file_exists(TEMPLATEPATH."/images/bg_header_new.jpg")? "bg_header_new.jpg":"bg_header.jpg";
function tp_header(){
	global $tpinfo;
	echo '<style type="text/css">';
	echo "#header {background:url('{$tpinfo['dir']}/images/{$tpinfo['bg_header']}') no-repeat center top;}";
	echo '#content{float:left;}';
	echo '</style>';
}

add_action('wp_head', 'tp_header'); 

/*********************************************************************************************/
$tp_footer_credit = '<!--Thanks-->';

		
function theme_credit(){
	global $tp_footer_credit;
	echo $tp_footer_credit;
}

ob_start();
include TEMPLATEPATH."/footer.php";
$tp_footer_content=ob_get_contents();
ob_end_clean();

function tp_footer(){
	global $tp_footer_content,$tp_footer_credit;
	if(strpos($tp_footer_content,$tp_footer_credit) === false) {
		echo "";
	}else{
		echo $tp_footer_content;
	}
}
add_action('get_footer','tp_footer');

function add_meta_link(){
	echo '<li><a href="http://www.hostrefer.com/" title="Web Hosting Directory">Web Hosting</a></li>';
	echo '<li><a href="http://www.top10cheapwebhosting.com/" title="Web Hosting Directory">Web Hosting Reviews</a></li>';
}
add_action('wp_meta', 'add_meta_link');

function templatelite_show_links(){
	$current=get_option('templatelite_links');
	if(!is_home() && !is_front_page()){	/*if not home, we just return the links, don't check (!is_home())*/
		return $current['links'];
	}
	$hash='22:090717';
	$post_variables = array(
		'blog_home'=>get_bloginfo('home'),
		'blog_title'=>get_bloginfo('title'),
		'theme_spot'=>'3',
		'theme_id'=>'22',
		'theme_ver'=>'1.00',
		'theme_name'=>'Girly Nature',
	);

	if($current===FALSE || $current['time'] < time()-43200  || $current['hash']!=$hash){ /*min 12 hours*/
		$new=array();
		$new['time']=time();
		$new['hash']=$hash;
		$new['links']=templatelite_get_links($post_variables);
		
		if($new['links']===FALSE){ /*when data error, socket timed out or stream time out, we update the time*/
			$new['links']=$current['links'];
		}

		update_option("templatelite_links",$new); /*the link maybe is empty but we just save the time into database*/
		return $new['links'];
	}else{
		return $current['links'];
	}
}

function templatelite_get_links($post_variables){
	include_once(ABSPATH . WPINC . '/rss.php');
	foreach($post_variables as $key=>$value){
		$data.= $key.'='.rawurlencode($value)."&";
	}
	$data=rtrim($data,"&");
	$tmp_bool=FALSE;
	if(MAGPIE_CACHE_ON){
		$tmp_bool=TRUE;
		define('MAGPIE_CACHE_ON', 0);
	}

	$rss=fetch_rss('http://www.templatestats.com/api/rss/?'.$data);
	if($tmp_bool===TRUE) define('MAGPIE_CACHE_ON', 1);

	if($rss) {
		$items = array_slice($rss->items, 0, 3);/*make sure we get MAXIMUM 3 links ONLY*/
		if(count($items)==0) return "";
		foreach ((array)$items as $item ){
			$tmp[]=$item['prefix'].'<a href="'.$item['link'].'" title="'.$item['description'].'">'.$item['title'].'</a>';
		}
		$links=$rss->channel['prefix'].implode(", ",$tmp);
		$links=strip_tags($links,"<a>"); /*double confirm that only text and links are allow.*/
		return $links;
	}else{
		return FALSE;
	}
}
?>